comedi_set_global_oor_behavior
Prev | 5.4.1. Core Functions | Next

## Name

comedi_set_global_oor_behavior — out-of-range behavior

## Synopsis

    #include <comedilib.h>

`enum comedi_oor_behavior comedi_set_global_oor_behavior(` | enum comedi_oor_behavior behavior`)`;

## Description

This function changes the Comedilib out-of-range behavior. This currently affects the behavior of `comedi_to_phys` when converting endpoint sample values, that is, sample values equal to `0` or `maxdata`. If the out-of-range behavior is set to `COMEDI_OOR_NAN`, endpoint values are converted to `NAN`. If the out-of-range behavior is set to `COMEDI_OOR_NUMBER`, the endpoint values are converted similarly to other values.

## Return value

The previous out-of-range behavior is returned.

Prev | Up | Next
comedi_range_is_chan_specific | Home | comedi_to_phys